<template>
	<view class="main-container">
		<page-header :fixedHeight="fixedHeight" :naviBarHeight="naviBarHeight"></page-header>
		<view :class="isBigiPhone ? 'back-container-big' : 'back-container'" @click="goToList"></view>
		<view class="vote-container">
			<view :class="isBigiPhone ? 'logo-container-big' : 'logo-container'"></view>
			<view :class="isBigiPhone ? 'title-container-big' : 'title-container'">
				<view class="title-avatar" :style="{ backgroundImage: 'url(' + userAvatar + ')' }"></view>
				<view class="title-name">@ {{ userName }}</view>
			</view>
			<view :class="isBigiPhone ? 'inner-container-big' : 'inner-container'">
				<view class="inner-title">我的投票</view>
				<view class="vote-status-container">
					<view class="status-item" v-for="(vote, index) in voteList" :key="index">
						<view class="item-icon-activate"></view>
						<view class="item-text-activate">
							<view class="text-line-1">{{ vote.foodnumber }}号-{{ vote.from }}</view>
							<view class="text-line-2">{{ vote.foodname }}</view>
						</view>
					</view>
					<view class="status-item" v-for="n in 5 - voteList.length" :key="n">
						<view class="item-icon-inactivate"></view>
						<view class="item-text-inactivate">未投票</view>
					</view>
				</view>
				<view class="vote-timer-container">
					<view class="vote-timer-text" v-if="leftDay">
						{{ leftDay }}
						<span class="vote-timer-text-normal">天</span>
					</view>
				</view>
			</view>
		</view>
		<noti v-if="showNoti" :notiType="notiType" @close-noti="closeNoti"></noti>
		<view class="auth-outer-container" v-if="!hasAlreadyAuthed">
			<view class="auth-item">
				<button class="auth-btn" open-type="getUserInfo" @getuserinfo="uniLogin"></button>
			</view>
		</view>
	</view>
</template>

<script>
import PageHeader from './pageHeader.vue';
import Noti from './notification.vue';

export default {
	data() {
		return {
			fixedHeight: getApp().globalData.fixedHeight,
			naviBarHeight: getApp().globalData.naviBarHeight,
			isBigiPhone: null,
			showNoti: false,
			notiType: 0,
			userAvatar: '',
			userName: '',
			userVoteInfo: null,
			voteList: [],
			leftDay: '',
			itemList: [
				{
					name: '1',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/1-1.png',
					desc: '北京糖醋素丸子',
					like: 1234,
					from: '北京四元桥'
				},
				{
					name: '2',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/2-1.png',
					desc: '红烩肉丸',
					like: 12345,
					from: '北京西红门'
				},
				{
					name: '3',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/3-1.png',
					desc: '杭椒酱爆肉丸',
					like: 1234,
					from: '北京西红门'
				},
				{
					name: '4',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/4-1.png',
					desc: '桂花红烧肉丸',
					like: 12345,
					from: '北京西红门'
				},
				{
					name: '5',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/5-1.png',
					desc: '南乳汁烧肉丸',
					like: 1234,
					from: '北京西红门'
				},
				{
					name: '6',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/6-1.png',
					desc: '鱼香瑞典式肉丸',
					like: 12345,
					from: '成都成华'
				},
				{
					name: '7',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/7-1.png',
					desc: '属你最能“丸”',
					like: 1234,
					from: '成都高新'
				},
				{
					name: '8',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/8-1.png',
					desc: '“贵妃”肉丸',
					like: 1234,
					from: '成都高新'
				},
				{
					name: '9',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/9-1.png',
					desc: '火锅遇见丸子兄弟',
					like: 12345,
					from: '重庆'
				},
				{
					name: '10',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/10-1.png',
					desc: '什锦丸子披萨',
					like: 1234,
					from: '重庆'
				},
				{
					name: '11',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/11-1.png',
					desc: '富贵金汤捞',
					like: 1234,
					from: '重庆'
				},
				{
					name: '12',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/12-1.png',
					desc: '青芦笋烧椒蔬菜丸',
					like: 12345,
					from: '重庆'
				},
				{
					name: '13',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/13-1.png',
					desc: '脆香杏仁肉丸',
					like: 1234,
					from: '重庆'
				},
				{
					name: '14',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/14-1.png',
					desc: '飘香辣子肉丸',
					like: 12345,
					from: '重庆'
				},
				{
					name: '15',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/15-1.png',
					desc: '糖油粑粑裹圆子',
					like: 1234,
					from: '长沙'
				},
				{
					name: '16',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/16-1.png',
					desc: '西柠香菠肉丸',
					like: 12345,
					from: '大连'
				},
				{
					name: '17',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/17-1.png',
					desc: '芝士流心肉丸',
					like: 1234,
					from: '大连'
				},
				{
					name: '18',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/18-1.png',
					desc: 'BBQ肉丸配薯角',
					like: 1234,
					from: '佛山'
				},
				{
					name: '19',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/19-1.png',
					desc: '丝瓜鱼腐浸肉丸',
					like: 12345,
					from: '佛山'
				},
				{
					name: '20',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/20-1.png',
					desc: '素菜咖喱煮肉丸',
					like: 1234,
					from: '广州番禺'
				},
				{
					name: '21',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/21-1.png',
					desc: '黄金鸡肉丸配薯角',
					like: 1234,
					from: '广州天河'
				},
				{
					name: '22',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/22-1.png',
					desc: '叻沙汤浸双丸粉丝',
					like: 12345,
					from: '广州天河'
				},
				{
					name: '23',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/23-1.png',
					desc: '贵州酸汤烩肉丸',
					like: 1234,
					from: '贵阳'
				},
				{
					name: '24',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/24-1.png',
					desc: '黄金丸子',
					like: 12345,
					from: '贵阳'
				},
				{
					name: '25',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/25-1.png',
					desc: '肉丸三明治',
					like: 1234,
					from: '哈尔滨'
				},
				{
					name: '26',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/26-1.png',
					desc: '西湖桂花糖醋丸子',
					like: 12345,
					from: '杭州'
				},
				{
					name: '27',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/27-1.png',
					desc: '焦溜肉圆',
					like: 1234,
					from: '济南'
				},
				{
					name: '28',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/28-1.png',
					desc: '茄汁龙珠',
					like: 1234,
					from: '南京'
				},
				{
					name: '29',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/29-1.png',
					desc: '鸡汁干丝烩肉丸',
					like: 12345,
					from: '南京'
				},
				{
					name: '30',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/30-1.png',
					desc: '香沙芋艿烧肉丸',
					like: 1234,
					from: '南通'
				},
				{
					name: '31',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/31-1.png',
					desc: '金玉良丸',
					like: 1234,
					from: '宁波'
				},
				{
					name: '32',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/32-1.png',
					desc: '日式照烧肉丸',
					like: 12345,
					from: '青岛'
				},
				{
					name: '33',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/33-1.png',
					desc: '天妇罗肉丸串',
					like: 1234,
					from: '上海宝山'
				},
				{
					name: '34',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/34-1.png',
					desc: '“肉桂”遇上肉丸',
					like: 12345,
					from: '上海北蔡'
				},
				{
					name: '35',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/35-1.png',
					desc: '芝士土豆焗肉丸',
					like: 1234,
					from: '上海北蔡'
				},
				{
					name: '36',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/36-1.png',
					desc: '糖醋肉丸饭',
					like: 12345,
					from: '上海徐汇'
				},
				{
					name: '37',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/37-1.png',
					desc: '四喜丸子饭',
					like: 1234,
					from: '上海徐汇'
				},
				{
					name: '38',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/38-1.png',
					desc: '红烧肉丸饭',
					like: 1234,
					from: '上海徐汇'
				},
				{
					name: '39',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/39-1.png',
					desc: '金沙燕麦球',
					like: 12345,
					from: '上海杨浦'
				},
				{
					name: '40',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/40-1.png',
					desc: '金汤肉丸意面',
					like: 1234,
					from: '沈阳'
				},
				{
					name: '41',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/41-1.png',
					desc: '苏城尽带黄金甲',
					like: 1234,
					from: '苏州'
				},
				{
					name: '42',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/42-1.png',
					desc: '津门珍汁小丸子',
					like: 12345,
					from: '天津东丽'
				},
				{
					name: '43',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/43-1.png',
					desc: '天津糖醋肉圆',
					like: 1234,
					from: '天津中北'
				},
				{
					name: '44',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/44-1.png',
					desc: '无锡糖醋小丸子',
					like: 12345,
					from: '无锡'
				},
				{
					name: '45',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/45-1.png',
					desc: '大武汉热干丸子面',
					like: 1234,
					from: '武汉'
				},
				{
					name: '46',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/46-1.png',
					desc: '肉丸胡辣汤',
					like: 12345,
					from: '西安'
				},
				{
					name: '47',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/47-1.png',
					desc: '糖醋丸子',
					like: 1234,
					from: '西安'
				},
				{
					name: '48',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/48-1.png',
					desc: '蔬菜肉丸串',
					like: 1234,
					from: '西安'
				},
				{
					name: '49',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/49-1.png',
					desc: '肉丸地三鲜',
					like: 12345,
					from: '西安'
				},
				{
					name: '50',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/50-1.png',
					desc: '徐州干煸小丸子',
					like: 1234,
					from: '徐州'
				},
				{
					name: '51',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/51-1.png',
					desc: '徐州咖喱小丸子',
					like: 12345,
					from: '徐州'
				},
				{
					name: '52',
					img: 'https://ikea-mrm.woaap.com/images/meatball/cook/52-1.png',
					desc: '合家团圆',
					like: 1234,
					from: '郑州'
				}
			],
			isOver: true,
			userCouponStatus: 0,
			hasAlreadyAuthed: true,
			hasSubmitCoupon: false
		};
	},
	mounted() {
		getApp().td_app_sdk.event({
			id: '/meatball/myVote',
			label: 'pv'
		});
		this.isBigiPhone = getApp().globalData.isBigiPhone;
		this.hasAlreadyAuthed = getApp().globalData.hasAlreadyAuthed;
		if (this.hasAlreadyAuthed) {
			this.fetchUserInfo();
		}
		// this.uniLogin();
		// this.fetchUserInfo();
	},
	watch: {
		hasAlreadyAuthed(newVal, oldVal) {
			console.log('hasAlreadyAuthed new === ', newVal);
			console.log('hasAlreadyAuthed oldVal === ', oldVal);
		}
	},
	methods: {
		handleGetCoupon(cityName) {
			uni.showLoading({
				title: '加载中',
				mask: true
			});
			uni.request({
				header: {
					'content-type': 'application/x-www-form-urlencoded' //自定义请求头信息
				},
				method: 'POST',
				url: getApp().globalData.baseUrlCook + 'access.php?a=addCoupon',
				data: {
					uid: getApp().globalData.userUnionIdCook,
					city: cityName
				},
				success: res => {
					uni.hideLoading();
					console.log('handleGetCoupon res === ', res);
					if (res.data.status === '1') {
						let resData = res.data.data;
						let userCardList = resData.cardList;
						// res
						// status: '1',
						// info: '成功',
						// data: {
						// 	cardList: 优惠券领取参数,可直接用于wx.addCard
						//  coupon_list: 所发放券的信息
						//	coupon_code: 券code
						//	coupon_status: 卡券状态 1：有效，2：转赠 ，8：已使用，9：已过期或作废
						//	s_receive_wechat_card: 领取状态 0 未领取 1已领取（如为已领取状态cardList将没有信息）
						//	receive_wechat_card_id: 券card_id
						// }
						wx.addCard({
							cardList: userCardList,
							success(res) {
								console.log('addCard res === ', res.cardList); // 卡券添加结果
								uni.showToast({
									title: '卡券添加成功',
									mask: true,
									icon: 'none'
								});
							},
							fail(err) {
								console.log('addCard err === ', err);
								uni.showToast({
									title: '未成功添加卡券',
									mask: true,
									icon: 'none'
								});
							},
							complete() {
								console.log('addCard complete');
							}
						});
					} else {
						uni.showToast({
							icon: 'none',
							title: '领取卡券失败'
						});
					}
				},
				fail: err => {
					console.log('fetchUserCoupon err === ', err);
					uni.hideLoading();
					uni.showToast({
						icon: 'none',
						title: '网络异常'
					});
				}
			});
		},
		fetchUserCouponStatus() {
			uni.request({
				header: {
					'content-type': 'application/x-www-form-urlencoded' //自定义请求头信息
				},
				method: 'POST',
				url: getApp().globalData.baseUrlCook + 'access.php?a=couponInfo',
				data: {
					uid: getApp().globalData.userUnionIdCook
				},
				success: res => {
					console.log('fetchUserCouponStatus res === ', res);
					uni.hideLoading();
					// let nowTime = new Date().getTime();
					// if (this.leftDay === 0 && nowTime <= 1600185600000) {
					// 	console.log('活动已经结束');
					// 	// 活动已经结束
					// 	this.notiType = 5; // 当前服务器上5的图被1覆盖了 到时候再说
					// 	this.isOver = true;
					// 	this.showNoti = true;
					// } else
					if (res.data.data.city) {
						// 已经提交过表单
						this.hasSubmitCoupon = true;
					} else {
						this.hasSubmitCoupon = false;
					}
					if (this.isOver) {
						this.notiType = 11;
						this.showNoti = true;
						return;
					}
					if (res.data.status === '1') {
						console.log('有coupon可以领取');
						// 有coupon可以领取
						this.userCouponStatus = 1;
						this.notiType = 2;
						this.showNoti = true;
					} else if (res.data.status === '2') {
						console.log('用户没有猜中');
						// 用户没有猜中
						this.userCouponStatus = 2;
						this.notiType = 4;
						this.showNoti = true;
					} else if (res.data.status === '3') {
						console.log('coupon已经领完');
						// coupon已经领完
						this.userCouponStatus = 3;
						this.notiType = 3;
						this.showNoti = true;
					} else if (this.voteList.length === 5) {
						console.log('用户投完票');
						// 用户投完票
						// this.notiType = 1;
						this.notiType = 6;
						this.showNoti = true;
					}
				},
				fail: err => {
					console.log('fetchUserCouponStatus err === ', err);
					uni.hideLoading();
					uni.showToast({
						icon: 'none',
						title: '网络异常'
					});
				}
			});
		},
		fetchUserInfo() {
			uni.showLoading({
				title: '加载中',
				mask: true
			});
			uni.request({
				header: {
					'content-type': 'application/x-www-form-urlencoded' //自定义请求头信息
				},
				method: 'POST',
				url: getApp().globalData.baseUrlCook + 'access.php?a=userInfo',
				data: {
					uid: getApp().globalData.userUnionIdCook
				},
				success: res => {
					console.log('fetchUserInfo res === ', res);
					getApp().globalData.userVoteInfoCook = res.data.data;
					this.userVoteInfo = getApp().globalData.userVoteInfoCook;
					this.leftDay = String(this.userVoteInfo.leftday);
					console.log('leftDay === ', this.leftDay);
					if (res.data.status === '1') {
						this.userAvatar = this.userVoteInfo.user.avatar;
						this.userName = this.userVoteInfo.user.nickname;
						this.voteList = this.userVoteInfo.mylist;
						this.fixEvent()
							.then(() => {
								console.log('fixEvent then');
								// uni.hideLoading();
								this.fetchUserCouponStatus();
							})
							.catch(err => {
								console.log('fixEvent err === ', err);
								uni.hideLoading();
							});
					}
				},
				fail: err => {
					console.log('fetchUserInfo err === ', err);
					uni.hideLoading();
					uni.showToast({
						icon: 'none',
						title: '网络异常'
					});
				}
			});
		},
		fixEvent() {
			return new Promise(resolve => {
				console.log('in fixEvent');
				console.log('in fixEvent voteList === ', this.voteList);
				this.voteList.forEach(item => {
					item.from = this.itemList[item.foodnumber - 1].from;
					console.log('itemList from === ', this.itemList[item.foodnumber - 1].from);
					console.log('item from === ', item.from);
				});
				resolve();
			});
		},
		closeNoti(userInfo) {
			console.log('closeNoti userInfo === ', userInfo);
			this.showNoti = false;
			if (userInfo.one === 2 && userInfo.two === 2) {
				if (this.hasSubmitCoupon) {
					uni.showToast({
						title: '您已领过卡券，请勿重复提交',
						mask: true,
						icon: 'none',
						duration: 1500
					});
					return;
				} else {
					this.handleGetCoupon(userInfo.location);
				}
			} else if (userInfo.one === 11) {
				uni.navigateTo({
					url: '/pages/index/index'
				})
			}
		},
		goToList() {
			getApp().td_app_sdk.event({
				id: 'meatball_myVote_返回广场',
				label: 'click'
			});
			uni.navigateTo({
				url: '/pages/meatball/list'
			});
		},
		uniLogin() {
			console.log('------ Start uniLogin at myVote ------');
			uni.showLoading({
				title: '加载中',
				mask: true
			});
			uni.login({
				provider: 'weixin',
				success: loginRes => {
					console.log('uni login success === ', loginRes);
					getApp().globalData.userCookLoginCode = loginRes.code;
					console.log('userLoginCode === ', getApp().globalData.userCookLoginCode);
					uni.getUserInfo({
						provider: 'weixin',
						success: infoRes => {
							console.log('uni getUserInfo success');
							console.log('infoRes === ', infoRes);
							console.log('infoRes.userInfo === ', infoRes.userInfo);
							console.log('infoRes.encryptedData === ', infoRes.encryptedData);
							console.log('infoRes.iv === ', infoRes.iv);
							getApp().globalData.userInfoCook = infoRes.userInfo;
							this.bindGetUserInfo(infoRes);
						},
						fail: err => {
							console.log('uni getUserInfo failed === ', err);
							uni.hideLoading();
							if (Number(err.err_code) === -12006) {
								console.log('用户拒绝授权');
								getApp().globalData.hasHandleAuth = false;
								uni.navigateTo({
									url: '/pages/meatball/index'
								});
							} else if (err.errMsg.indexOf('scope unauthorized') > -1) {
								console.log('用户未授权');
								uni.navigateTo({
									url: '/pages/meatball/index'
								});
							}
						}
					});
				},
				fail: err => {
					console.log('uni login failed === ', err);
					uni.hideLoading();
					uni.navigateTo({
						url: '/pages/meatball/index'
					});
				}
			});
		},
		bindGetUserInfo(res) {
			console.log('getUserInfo at myVote index res === ', res);
			let dataInfo;
			if (res.hasOwnProperty('detail')) {
				dataInfo = res.detail;
			} else {
				dataInfo = res;
			}
			uni.request({
				header: {
					'content-type': 'application/x-www-form-urlencoded' //自定义请求头信息
				},
				method: 'POST',
				url: getApp().globalData.baseUrlCook + 'code2session.php',
				data: {
					code: getApp().globalData.userCookLoginCode,
					encryptedData: dataInfo.encryptedData,
					iv: dataInfo.iv,
					avatar: dataInfo.userInfo.avatarUrl,
					nickname: dataInfo.userInfo.nickName,
					signature: dataInfo.signature
				},
				success: resWechat => {
					console.log('resWechat === ', resWechat);
					uni.hideLoading();
					if (resWechat.data.status === '1') {
						console.log('resWechat success === ', resWechat);
						uni.setStorage({
							key: 'hasHandleAuth',
							data: true,
							success: res => {
								getApp().globalData.hasHandleAuth = true;
							},
							fail: err => {
								console.log('err === ', err);
								getApp().globalData.hasHandleAuth = false;
							}
						});
						let data = resWechat.data.data;
						getApp().globalData.userUnionIdCook = data.uid;
						console.log('check userUnionIdCook at Cook myVote === ', getApp().globalData.userUnionIdCook);
						getApp().globalData.hasAlreadyAuthed = true;
						this.hasAlreadyAuthed = getApp().globalData.hasAlreadyAuthed;
						this.fetchUserInfo();
					} else {
						uni.setStorage({
							key: 'hasHandleAuth',
							data: true,
							success: res => {
								getApp().globalData.hasHandleAuth = true;
							},
							fail: err => {
								console.log('err === ', err);
								getApp().globalData.hasHandleAuth = false;
							}
						});
						uni.navigateTo({
							url: '/pages/meatball/index'
						});
					}
				},
				fail: err => {
					console.log('err === ', err);
					uni.hideLoading();
					uni.navigateTo({
						url: '/pages/meatball/index'
					});
				}
			});
		},
		onShareAppMessage: res => {
			return {
				title: '票选人气肉丸 上榜宜家菜单',
				path: 'pages/meatball/index',
				imageUrl: 'https://ikea-mrm.woaap.com/images/meatball/share-back.jpg'
			};
		}
	},
	components: {
		PageHeader,
		Noti
	}
};
</script>

<style lang="scss" scoped>
.main-container {
	display: flex;
	justify-content: center;
	align-items: flex-start;
	flex-wrap: wrap;
	width: 100%;
	height: 100vh;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-myvote-back.png');
	background-size: cover;
	background-repeat: no-repeat;
	background-position: top center;
	position: relative;
}
.back-container {
	position: absolute;
	right: 0;
	top: 197rpx;
	z-index: 1;
	width: 169rpx;
	height: 65rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/btn-myvote-goback.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
}
.back-container-big {
	position: absolute;
	right: 0;
	top: 245rpx;
	z-index: 1;
	width: 169rpx;
	height: 65rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/btn-myvote-goback.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
}
.vote-container {
	width: 100%;
	height: 100vh;
	display: flex;
	align-content: flex-start;
	overflow-y: auto;
	position: relative;
}
.logo-container {
	width: 114rpx;
	height: 46rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-logo.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	position: absolute;
	left: 35rpx;
	// top: 131rpx;
	top: 168rpx;
}
.logo-container-big {
	width: 114rpx;
	height: 46rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-logo.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	position: absolute;
	left: 35rpx;
	// top: 179rpx;
	top: 216rpx;
}
.title-container {
	position: absolute;
	left: 0;
	top: 363rpx;
	width: 100%;
	height: 177rpx;
	display: flex;
	flex-wrap: nowrap;
	align-content: flex-start;
}
.title-container-big {
	position: absolute;
	left: 0;
	top: 411rpx;
	width: 100%;
	height: 177rpx;
	display: flex;
	flex-wrap: nowrap;
	align-content: flex-start;
}
.title-avatar {
	width: 177rpx;
	height: 177rpx;
	border-radius: 50%;
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	margin-right: 32rpx;
	margin-left: 59rpx;
}
.title-name {
	width: 450rpx;
	height: 105rpx;
	text-overflow: ellipsis;
	white-space: nowrap;
	line-height: 105rpx;
	color: #ffffff;
	font-size: 48rpx;
	font-weight: bold;
	margin-top: 14rpx;
	overflow: hidden;
}
.inner-container {
	width: 100%;
	height: calc(100vh - 471rpx);
	margin-top: 471rpx;
	background-color: #fff;
	overflow-y: auto;
	display: flex;
	flex-wrap: wrap;
	align-content: flex-start;
	justify-content: center;
}
.inner-container-big {
	width: 100%;
	height: calc(100vh - 519rpx);
	margin-top: 519rpx;
	background-color: #fff;
	overflow-y: auto;
	display: flex;
	flex-wrap: wrap;
	align-content: flex-start;
	justify-content: center;
}
.inner-title {
	width: 100%;
	height: 34rpx;
	line-height: 34rpx;
	color: #333;
	font-size: 34rpx;
	font-weight: bold;
	margin-top: 93rpx;
	margin-bottom: 46rpx;
	text-align: center;
}
.vote-status-container {
	width: 630rpx;
	height: 350rpx;
	margin-bottom: 38rpx;
	display: flex;
	flex-wrap: wrap;
}
.status-item {
	width: 210rpx;
	height: 161rpx;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	align-content: flex-start;
}
.status-item:nth-of-type(1),
.status-item:nth-of-type(2),
.status-item:nth-of-type(3) {
	margin-bottom: 28rpx;
}
.item-icon-activate {
	width: 105rpx;
	height: 105rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-myvote-activate.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	margin-bottom: 12rpx;
	margin-left: 53rpx;
	margin-right: 52rpx;
}
.item-icon-inactivate {
	width: 105rpx;
	height: 105rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-myvote-inactivate.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	margin-bottom: 24rpx;
	margin-left: 53rpx;
	margin-right: 52rpx;
}
.item-text-activate {
	width: 160rpx;
	height: 44rpx;
}
.text-line-1 {
	width: 100%;
	height: 20rpx;
	line-height: 20rpx;
	font-size: 20rpx;
	color: #333;
	margin-bottom: 4rpx;
	text-align: center;
}
.text-line-2 {
	width: 100%;
	height: 20rpx;
	line-height: 20rpx;
	font-size: 20rpx;
	color: #333;
	text-align: center;
}
.item-text-inactivate {
	width: 105rpx;
	height: 20rpx;
	line-height: 20rpx;
	font-size: 20rpx;
	color: #959595;
	text-align: center;
}
.vote-timer-container {
	width: 292rpx;
	height: 166rpx;
	position: relative;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-myvote-timer.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
}
.vote-timer-text {
	width: 100%;
	height: 76rpx;
	display: flex;
	flex-wrap: nowrap;
	align-content: flex-start;
	justify-content: center;
	line-height: 76rpx;
	font-size: 76rpx;
	font-weight: bold;
	color: #dbb98c;
	margin-top: 42rpx;
}
.vote-timer-text-normal {
	height: 38rpx;
	line-height: 38rpx;
	font-size: 38rpx;
	font-weight: normal;
	color: #666;
	margin-top: 28rpx;
	margin-left: 6rpx;
}
.auth-outer-container {
	position: absolute;
	width: 100%;
	height: 100%;
	left: 0;
	top: 0;
	z-index: 10;
	background-color: rgba(0, 0, 0, 0.6);
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: center;
}
.auth-item {
	position: relative;
	width: 611rpx;
	height: 435rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-noti-auth.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
}
.auth-btn {
	position: absolute;
	bottom: 0;
	left: 0;
	width: 611rpx;
	height: 111rpx;
	background-color: transparent;
}
</style>
